#### D.2.11.14 preimageLoc

Procedure from library `ring.lib` (see ring_lib).

Usage:
  preimageLoc ( ring_name, map_name, ideal_name );
  all input parameters of type string

Return:
  ideal

Purpose:
  compute the preimage of an ideal under a given map for non-global orderings.
  The 2nd argument has to be the name of a map from the basering to the given ring (or the name of an ideal defining such a map), and the ideal has to be an ideal in the given ring.

Example:

    LIB "ring.lib";
    ring S =0,(x,y,z),dp;
    ring R0=0,(x,y,z),ds;
    qring R=std(x+x2);
    map psi=S,x,y,z;
    ideal null;
    setring S;
    ideal nu=preimageLoc("R","psi","null");
    nu;
    ==> nu[1]=x

See also: preimage.

User manual for Singular version 4-0-3, 2016, generated by texi2html.